package com.jzlife.report.controller;


import com.jzlife.report.anno.LogExportFiled;
import com.jzlife.report.service.newreport.ShopReferenceService;
import com.jzlife.report.util.ResponseUtil;
import com.jzlife.report.vo.ReportShopTrendAndProductsVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

@RestController
@RequestMapping(value = "report")
@Api(value = "商城引荐看板", description = "商城引荐看板")
public class ShopReferenceController {


    @Autowired
    private ShopReferenceService shopReferenceService;


    @ApiOperation(value = "商城引荐指标&整体指标", httpMethod = "GET", notes = "时间格式为：yyyy-MM")
    @GetMapping("shopReferenceIndexAndoverAllIndex")
    @LogExportFiled(funName = "商城引荐指标及整体指标")
    public Object shopReferenceGoal(@RequestParam("month") String month, HttpServletRequest request) {
        String userId = request.getHeader("userId");
        Map<String, Object> data = shopReferenceService.shopReferenceGoal(month, userId);
        return ResponseUtil.ok(data);
    }

    @ApiOperation(value = "新增人数和销售趋势&销量最高的商品列表", httpMethod = "POST", notes = "时间格式为：yyyy-MM")
    @PostMapping("newAdditionsAndSalesTrendsAndHighestSalesProducts")
    @LogExportFiled(funName = "新增人数和销售趋势&销量最高的商品列表")
    public Object newAdditionsAndSalesTrendsAndHighestSalesProducts(@Validated @RequestBody ReportShopTrendAndProductsVo vo, HttpServletRequest request) {
        String userId = request.getHeader("userId");
        Map<String, Object> data = shopReferenceService.newAdditionsAndSalesTrendsAndHighestSalesProducts(vo, userId);
        return ResponseUtil.ok(data);
    }

}
