package com.jzlife.report.dao.manager;

import com.jzlife.report.vo.DayReportBaseVo;
import com.jzlife.report.vo.ReportBaseVo;
import com.jzlife.report.vo.ReportStationAndShopVo;
import org.apache.ibatis.annotations.Param;

import javax.validation.constraints.NotBlank;
import java.util.List;
import java.util.Map;

public interface ServicePowerReportMapper {

    //服务力使用情况看板
    List<Map<String, Object>> selectMulitleYReport(@Param("startTime") String startTime,
                                                   @Param("endTime") String endTime,
                                                   @Param("city") @NotBlank String city,
                                                   @Param("serviceStation") String serviceStation);

    // 开单情况
    List<Map<String, Object>> selectBillInfo(@Param("thisMonth") String month,
                                             @Param("city") String city,
                                             @Param("serviceStation") String serviceStation);

    //薪资分布
    List<Map<String, Object>> selectServiceTypeAllocation(@Param("startTime") String startTime,
                                                          @Param("endTime") String endTime,
                                                          @Param("city") @NotBlank String city,
                                                          @Param("serviceStation") String serviceStation);

    //工单明细
    List<Map<String, Object>> servicePowerTicketDetail(DayReportBaseVo vo);

    List<Map<String, Object>> servicePowerTicketInfo(DayReportBaseVo vo);

    List<Map<String, Object>> servicePowerServerInfo(DayReportBaseVo vo);

    List<Map<String, Object>> servicePowerStationPersonInfo(DayReportBaseVo vo);

    List<Map<String, Object>> servicePowerRentFee(ReportBaseVo vo);

    List<Map<String, Object>> servicePowerWornSubsidies(ReportBaseVo vo);

    List<Map<String, Object>> servicePowerTeacherReward(ReportBaseVo vo);

    List<Map<String, Object>> servicePowerOrderReward(DayReportBaseVo vo);

    String getHeMaStationByJzStation(String serviceStation);

    //根据鲸致服务站获取盒马服务站
    String getJzStationByHmStation(String serviceStation);

    List<Map<String, Object>> selectStationAndShopStockInfo(ReportStationAndShopVo vo);

    List<Map<String, Object>> selectResidualRadio(ReportStationAndShopVo vo);

    /**
     * 查询 客诉数和服务能力 投诉
     *
     * @param city
     * @param serviceStation
     * @param s
     * @param format
     * @return
     */
    List<Map<String, Object>> selectCustomerClaimAndServerPower(@Param("city") String city, @Param("serviceStation") String serviceStation,
                                                                @Param("startTime") String s, @Param("endTime") String format);

    List<Map<String, Object>> selectCustomerClaimAndServerPowerByMonth(@Param("city") String city, @Param("serviceStation") String serviceStation,
                                                                       @Param("startMonth") String startMonth, @Param("endMonth") String endMonth);

    //当月指标
    Map<String, Object> selectCurrPowerInfo(@Param("thisDay") String format, @Param("firstDayOfMonth") String format1, @Param("lastDayOfMonth") String format2,
                                            @Param("userId") String userId);

    //当月服务站指标
    List<Map<String, Object>> selectCurrSatationInfo(@Param("thisDay") String format, @Param("firstDayOfMonth") String format1, @Param("lastDayOfMonth") String format2,
                                                     @Param("userId") String userId);

    //非当月指标
    Map<String, Object> selectNoCurrPowerInfo(@Param("firstDayOfMonth") String format1, @Param("lastDayOfMonth") String format2,
                                              @Param("userId") String userId);

    //非当月服务站指标
    List<Map<String, Object>> selectNoCurrSatationInfo(@Param("firstDayOfMonth") String format1, @Param("lastDayOfMonth") String format2,
                                                       @Param("userId") String userId);

    //##  保洁人均单量、品类人均工时
    List<Map<String, Object>> selectCleanPerCapitalOrderByMonth(@Param("city") String city, @Param("serviceStation") String serviceStation,
                                                                @Param("startMonth") String startMonth, @Param("endMonth") String endMonth);

    List<Map<String, Object>> selectCleanPerCapitalOrderByDay(@Param("city") String city, @Param("serviceStation") String serviceStation,
                                                              @Param("startTime") String s, @Param("endTime") String format);

    // 档期满载率、人均订单、人均工时、全天班人数占比，白班人数占比
    Map<String, Object> getOtherInfo(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("userId") String userId);
}
