package com.jzlife.report.service.newreport;

import com.github.pagehelper.PageInfo;
import com.jzlife.report.dto.Report30daysProductStocks;
import com.jzlife.report.dto.ReportOrderCoalescence;
import com.jzlife.report.vo.*;

import java.util.List;
import java.util.Map;

public interface ServicePowerReportService extends BaseService<DaysStackRadioVo> {
    Map<String, Object> servicePowerReport(ReportBaseVo vo);

    Map<String, Object> servicePowerSalaryReport(ReportBaseVo vo);

    PageInfo<Map<String, Object>> servicePowerTicketDetail(DayReportBaseVo vo);

    PageInfo<Map<String, Object>> servicePowerTicketInfo(DayReportBaseVo vo);

    PageInfo<Map<String, Object>> servicePowerServerInfo(DayReportBaseVo vo);

    PageInfo<Map<String, Object>> servicePowerStationPersonInfo(DayReportBaseVo vo);

    PageInfo<Map<String, Object>> servicePowerRentFee(ReportBaseVo vo);

    PageInfo<Map<String, Object>> servicePowerWornSubsidies(ReportBaseVo vo);

    PageInfo<Map<String, Object>> servicePowerTeacherReward(ReportBaseVo vo);

    PageInfo<Map<String, Object>> servicePowerOrderReward(DayReportBaseVo vo);

    void import30DaysProductStock(List<Report30daysProductStocks> stations, String s);

    Object get30DaysProductStockResult(String serialNo);

    List<Map<String, Object>> service14DayStock(String userId);

    Map<String, Object> serviceGoalData(String month, String userId);

    // 服务站和商品库存
    Map<String, Object> stationAndShopStock(ReportStationAndShopVo vo);

    /**
     * 按 索引聚合热力图
     *
     * @param vo
     * @return
     */
    Map<String, Object> createOrderHeatMap(BaseRequestVo vo);

    void repairOrderLocation(List<ReportOrderCoalescence> x);
    void repairOrderLocation();

    List<ReportOrderCoalescence> getOrderLocationByDay();

    /**
     * 保洁人均单量& 品类人均工时
     *
     * @param vo
     * @return
     */
    Object cleanPerCapitalOrderQuality(ReportCleanPerCaptchaOrderQualityVo vo);
}
