package com.jzlife.report.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DayReportBaseVo {

    @ApiModelProperty(value = "城市名称")
    private String city;


    @ApiModelProperty(value = "查询开始日期", notes = "时间格式为 yyyy-MM-dd")
    @NotNull(message = "查询开始日期不可为空")
    @Pattern(regexp = "^20(19|2\\d)-(0[1-9]|1[012])-(0[1-9]|1[0-9]|2[0-9]|3[0-1])$", message = "开始时间不合法")
    private String startTime;

    @ApiModelProperty(value = "查询结束日期", notes = "时间格式为 yyyy-MM-dd")
    @NotNull(message = "查询结束日期不可为空")
    @Pattern(regexp = "^20(19|2\\d)-(0[1-9]|1[012])-(0[1-9]|1[0-9]|2[0-9]|3[0-1])$", message = "结束时间不合法")
    private String endTime;


    @ApiModelProperty(value = "服务站名称", notes = "服务站名称")
    private String serviceStation;

    @ApiModelProperty(value = "开始页", notes = "开始页")
    private Integer startPage = 1;
    @ApiModelProperty(value = "每页展示条数", notes = "每页展示条数")
    private Integer limit = 50;

    @ApiModelProperty(value = "服务者姓名", notes = "服务者姓名")
    private String serverName;

    @ApiModelProperty(value = "客诉类型", notes = "客诉类型，仅服务质量-客诉明细")
    private String customerClaimType;

    @ApiModelProperty(value = "客诉一级", notes = "客诉一级，仅服务质量-客诉明细")
    private String customerClaimA1;

    @ApiModelProperty(value = "客诉二级", notes = "客诉二级，仅服务质量-客诉明细")
    private String customerClaimA2;

}
