package com.jzlife.report.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ReportBaseVo {

    @ApiModelProperty(value = "城市名称")
    public String city;


    @ApiModelProperty(value = "开始时间", notes = "时间格式为 yyyy-MM")
    @NotNull(message = "开始时间不可为空")
    @Pattern(regexp = "^20(19|2\\d)-(0[1-9]|1[012])$", message = "开始时间不合法")
    public String startTime;

    @ApiModelProperty(value = "结束时间", notes = "时间格式为 yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "结束时间不可为空")
    @Pattern(regexp = "^20(19|2\\d)-(0[1-9]|1[012])$", message = "结束时间不合法")
    public String endTime;


    @ApiModelProperty(value = "服务站名称", notes = "服务站名称")
    public String serviceStation;

    @ApiModelProperty(value = "开始页", notes = "开始页")
    public Integer startPage = 1;
    @ApiModelProperty(value = "每页展示条数", notes = "每页展示条数")
    public Integer limit = 50;


}
