package report;

import com.jzlife.report.ReportApplication;
import com.jzlife.report.controller.InvestmentReportController;
import com.jzlife.report.controller.SyncController;
import com.jzlife.report.schedule.RepairOrderLocationTask;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.mock.web.MockHttpServletRequest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;
import java.util.Objects;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = ReportApplication.class)
@ActiveProfiles("uat")
public class Test {


    @Autowired
    private RepairOrderLocationTask repairOrderLocationTask;


    @Autowired
    private InvestmentReportController controller;

    @Autowired
    private SyncController syncController;

    @org.junit.Test
    public void test1() {
        repairOrderLocationTask.runTask();
    }

    @org.junit.Test
    public void test() {
        HttpServletRequest request = ((ServletRequestAttributes) Objects.requireNonNull(RequestContextHolder.getRequestAttributes()))
                .getRequest();
//        reflectSetHeader(request, "token_0ae9c1b2-2424-4e31-9168-1079c5f0657e");
        Map<String, Object> resignAndLossReason = (Map<String, Object>) controller.getResignAndLossReason("1,2");
        System.out.println(resignAndLossReason.get("data"));
    }

    private void reflectSetHeader(HttpServletRequest request, String value) {
        ((MockHttpServletRequest) request).setParameter("token", value);
    }

    @org.junit.Test
    public void test2() {
        HttpServletRequest request = ((ServletRequestAttributes) Objects.requireNonNull(RequestContextHolder.getRequestAttributes()))
                .getRequest();
        reflectSetHeader(request, "token_0ae9c1b2-2424-4e31-9168-1079c5f0657e");
        syncController.test();
    }


}
